This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 183513 - yum crash during package install
yum crash during package install
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-01 12:07 EST by Dax Kelson
Modified: 2014-01-21 17:53 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-13 17:04:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dax Kelson 2006-03-01 12:07:51 EST
Description of problem:
I did a fresh install of Feb 28th 2006 i686 rawhide.

The install went OK, then I tried to install a package.

# yum install kernel-devel
Loading "installonlyn" plugin
Setting up Install Process
Setting up repositories
development                                                          [1/2]
development               100% |=========================| 1.1 kB    00:00
extras-development                                                   [2/2]
extras-development        100% |=========================| 1.1 kB    00:00
Reading repository metadata in from local files
primary.xml.gz            100% |=========================| 1.2 MB    00:04
developmen: ################################################## 4282/4282
Added 4282 new packages, deleted 0 old in 12.05 seconds
primary.xml.gz            100% |=========================| 1.3 MB    00:11
extras-dev: ################################################## 3643/3643
Added 3643 new packages, deleted 0 old in 12.15 seconds
python: Modules/gcmodule.c:240: update_refs: Assertion `gc->gc.gc_refs == (-3)'
failed.
Aborted

When I tried again later, it worked with no error.

When I tried to do an "yum -y update", I got a segfault.
Comment 1 Seth Vidal 2006-03-01 12:48:33 EST
likely to be:


hardware
kernel
glibc

when you get random events and then a segfault I normally start looking lower on
the system than yum or python.
Comment 2 Dax Kelson 2006-03-13 17:04:34 EST
This is probably the Maxtor SATA II and Nvidia nforce4 incompatibility problem.

Note You need to log in before you can comment on or make changes to this bug.